# set up to use ARM compiler.
CC=@ARM_CC@
CXX=@ARM_CXX@
CPP=@ARM_CPP@
AS=@ARM_AS@
AR=@ARM_AR@
RANLIB=@ARM_RANLIB@

MODULE_ID=-1

# needed to make sure that distcheck will not fail
# this is not something that is normally important.
EXTRA_DIST=module.cpp

.PHONY: module.cpp

if BUILD_FOR_MODULES

AM_CFLAGS=-I$(top_srcdir)/src/libs @MODULE_CFLAGS@
AM_CXXFLAGS=-Wall -I$(top_srcdir)/src/libs @MODULE_CXXFLAGS@ -DMODULE_ID=${MODULE_ID}

BUILDDIR=${subdir}
noinst_PROGRAMS=totalLeg.elf

PROGRAM_TARGET=totalLeg.elf

totalLeg_elf_SOURCES=module.cpp
totalLeg_elf_LINK=${CXX} ${LDFLAGS} -o $@
totalLeg_elf_LDADD=../../libs/liblegsim.a

totalLeg.elf$(EXEEXT): $(totalLeg_elf_OBJECTS) $(totalLeg_elf_DEPENDENCIES) 
	@rm -f totalLeg.elf$(EXEEXT)
	$(totalLeg_elf_LINK) $(MODULE_LDFLAGS) $(totalLeg_elf_OBJECTS) ${totalLeg_elf_LDADD} $(LIBS)
endif


include ${top_srcdir}/makefiles/source.mak